Announcement

Collapse
No announcement yet.

Radeon DRM Driver Gets New Branches

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Radeon DRM Driver Gets New Branches

    Phoronix: Radeon DRM Driver Gets New Branches

    David Airlie, the Linux kernel DRM maintainer and the Red Hat employee responsible for a good portion of the open-source ATI Linux driver work, has announced changes in how he will be handling his DRM kernel branches and the addition of some new branches for ATI customers wishing to experiment with the latest Radeon driver code. Under this new plan David will be controlling the drm-core-next, drm-radeon-next, drm-next, and drm-radeon-testing. Descriptions of these Git branches for the Direct Rendering Manager code can be found on the dri-devel mailing list. The important branches for desktop users wishing to experiment with the latest code is drm-next and drm-radeon-testing...

    http://www.phoronix.com/vr.php?view=Nzc2Mg

  • #2
    Does this in any way relate to the mesa-dri-drivers-experimental package that is available for Fedora 12?

    Comment


    • #3
      No - this is for the gpu driver in the kernel. I believe the mesa experimental package just gives you the userspace 3D driver - the kernel and X drivers are already in your system.

      Comment


      • #4
        Is there any changelog (other than checking git) with feature list of the new branches?

        OT: I wonder when Radeon Gallium3D drivers will be usefull and stable to be used by default in Ubuntu and Fedora and what advantages it will bring over than Mesa.

        Comment


        • #5
          Originally posted by xeros View Post
          Is there any changelog (other than checking git) with feature list of the new branches?

          OT: I wonder when Radeon Gallium3D drivers will be usefull and stable to be used by default in Ubuntu and Fedora and what advantages it will bring over than Mesa.
          Galium3D is a long way...

          next step is make openGL2.0 usefull and stable for mesa7.8

          thats the big Deal!

          because the next KDE 4.4 will have OpenGL2.0 acceleration.
          Last edited by Qaridarium; 12-03-2009, 05:35 AM.

          Comment


          • #6
            Originally posted by Qaridarium View Post
            Galium3D is a long way...

            next step is make openGL2.0 usefull and stable for mesa8.8
            I hope you meant mesa 7.8

            Comment


            • #7
              Originally posted by Qaridarium View Post
              Galium3D is a long way...

              next step is make openGL2.0 usefull and stable for mesa8.8

              thats the big Deal!

              because the next KDE 4.4 will have OpenGL2.0 acceleration.
              It would be great! (KDE 4.4 + OpenGL 2.0@Mesa)
              Maybe my Radeon 9600 and X300 will get some more power...

              Comment


              • #8
                Originally posted by kraftman View Post
                I hope you meant mesa 7.8
                yes i know.. i chance it to 7.8 thank you

                Comment


                • #9
                  Originally posted by xeros View Post
                  It would be great! (KDE 4.4 + OpenGL 2.0@Mesa)
                  Maybe my Radeon 9600 and X300 will get some more power...
                  Yes if the GPU-chip can handle openGL2 the speedup und Feature-Explosion will be Impressive!

                  Right now!

                  you can test this! i test it by my self on the GAME:HON witout 7.8+(kms+opengl) the game do not start because GSGL 1.1 is needet (openGL2) with 7.8 and kms+OpenGL2 activated the game starts!

                  if you want try it out.. the easyest way is ad a PPA to your ubuntu
                  ppa://xorg-eges/ppa/ chance "karmic" to "lucid"!

                  then you can recompile the packages with gsgl support aktivate kms and.. now HON starts :-)

                  Comment


                  • #10
                    Originally posted by Qaridarium View Post
                    You can test this! i test it by my self on the GAME:HON witout 7.8+(kms+opengl) the game do not start because GSGL 1.1 is needet (openGL2) with 7.8 and kms+OpenGL2 activated the game starts!
                    The GLSL code is only for radeonhd at the moment: http://cgit.freedesktop.org/mesa/mes...7dad5ef3a783d0

                    Comment

                    Working...
                    X